For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTCancel transaction
      • POSTCapture transaction
      • POSTDeposit Transaction
      • POSTEstablish a new Transaction for authorization
      • GETGet transactions
      • POSTPreauthorize Transaction
      • POSTReclaim Transaction
      • POSTRefresh a transaction
      • POSTRefund Transaction
      • GETRetrieve a transaction
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APITransactions

Preauthorize Transaction

|View as Markdown|Open in Claude|
POST
https://sandbox.trustly.one/api/v1/transactions/:transactionId/capture/preAuth
POST
/api/v1/transactions/:transactionId/capture/preAuth
$curl -X POST https://sandbox.trustly.one/api/v1/transactions/transactionId/capture/preAuth \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -u "<username>:<password>" \
> -d "merchantReference=597E61428FCAED20" \
> -d "period=24" \
> -d "amount=10.00"
200Example
1{
2 "transaction": {
3 "transactionId": "1003707519",
4 "transactionType": 10,
5 "originalTransactionId": "1003555110",
6 "payment": {
7 "paymentId": "1003555108",
8 "paymentType": 2,
9 "merchant": {
10 "merchantId": "1002463580"
11 },
12 "merchantReference": "123123",
13 "merchantId": "1002463580",
14 "customer": {
15 "customerId": "1002580963",
16 "externalId": "4567890",
17 "merchantId": "1002463580",
18 "name": "Joe User",
19 "taxId": "000-00-0000",
20 "driverLicense": {
21 "number": "123wxyz",
22 "state": "CA"
23 },
24 "address": {
25 "address1": "2000 Broadway St",
26 "city": "Redwood City",
27 "state": "CA",
28 "zip": "94063",
29 "country": "US"
30 },
31 "phone": "+16505551212",
32 "email": "joe.user@mail.com",
33 "enrollDate": 1555696836548,
34 "createdAt": 1555696836548,
35 "updatedAt": 1555696836548
36 },
37 "fingerprint": "iSnTsj6TTOmPjqN5kE44aMkGqvk=",
38 "verification": {
39 "status": 3,
40 "mode": 3,
41 "verifyCustomer": false
42 },
43 "account": {
44 "name": "Demo Checking Account",
45 "type": 1,
46 "profile": 1,
47 "accountNumber": "6576",
48 "verified": true,
49 "verification": {
50 "verified": false,
51 "type": 2,
52 "hasEnoughFunds": false,
53 "verificationDate": 1619045543
54 },
55 "source": 1,
56 "token": "K0B1N06576"
57 },
58 "returnUrl": "https://yourdomain.com/return?",
59 "cancelUrl": "https://yourdomain.com/cancel?",
60 "notificationUrl": "http://yourdomain.com/notification?",
61 "currency": "USD",
62 "amount": "0.00",
63 "paymentProvider": {
64 "paymentProviderId": "200005501",
65 "type": 1,
66 "name": "Demo Bank",
67 "instantPayoutAvailable": false
68 },
69 "allowedPaymentProviderType": [
70 1,
71 2
72 ],
73 "auth": {
74 "token": "K7L1KA8FM1",
75 "status": 2,
76 "message": "Authorized"
77 },
78 "authorization": "K7L1KA8FM1",
79 "authorizationStatus": 2,
80 "authorizationStatusMessage": "Authorized",
81 "pending": "1199.96",
82 "paid": "0.00",
83 "refunded": "0.00",
84 "reversed": "0.00",
85 "balance": "0.00",
86 "createdAt": 1576592522699,
87 "updatedAt": 1578954074524,
88 "recordVersion": 9,
89 "paymentFlow": 68
90 },
91 "currency": "USD",
92 "amount": "299.99",
93 "pending": "299.99",
94 "paid": "0.00",
95 "refunded": "0.00",
96 "reversed": "0.00",
97 "balance": "0.00",
98 "paymentProviderTransaction": {
99 "paymentProviderTransactionId": "ptx-LBEuXPY6uQvrZM5mUOdFZ6-6-sbx",
100 "status": "10",
101 "statusMessage": "Established",
102 "paymentProcessor": {
103 "paymentProcessorId": "100000001"
104 }
105 },
106 "status": 1,
107 "statusMessage": "Pending",
108 "ip": "76.102.239.91",
109 "createdAt": 1578954074526,
110 "processedAt": 1578954074526,
111 "completedAt": 1578954074526,
112 "updatedAt": 1578954074526,
113 "ppTrxId": "ptx-LBEuXPY6uQvrZM5mUOdFZ6-6-sbx",
114 "merchantReference": "3742359b-fa65-4c12-b8a3-1a61fb3ab55a",
115 "automaticRepresentment": false,
116 "statusCode": "SW010",
117 "expiredAt": 1579213274474,
118 "recordVersion": 1,
119 "instantPayoutSettle": true
120 }
121}

The Preauthorize API allows the merchant to pre-authorize one or more captures up to the total pre-authorized amount on a pre-authorized period interval in hours. Captures after the pre-authorized period interval are treated as normal Captures (will need to pass the full balance and risk analysis to be guaranteed).

Was this page helpful?
Previous

Get transactions

Next

Reclaim Transaction

Built with

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired

Request

merchantReferencestringRequired
A specific merchant reference for this preauthorization. For example, this could be a merchant order number or the same merchant reference value used in the original establish call.
periodintegerRequired1-6Defaults to 0
Number of hours the preauthorization will be valid for.
amountstringRequired

The amount to be authorized. (maximum of 10 characters with support for 2 decimal places). Required if the bank authorization was created with an amount of 0.00. If not specified, then the full amount of the bank authorization will be used.

splitTokenstringOptional
Token received on the Authorize event.
externalTierstringOptional

The merchant’s tier associated with the customer (e.g. vip).

metadata.remittance.withdrawalMethodenumOptional
The method by which the recipient will receive the funds.
Allowed values:
interactionIdstringOptional
Optional interaction ID parameter for Preauthorization and Capture APIs, inclusion of which signifies consumer interaction tied to data obtained from getTrustlyInteraction function. If not specified, Trustly assumes the consumer is present in session. Set to "consumerNotPresent" to signify that the transaction is merchant-initiated and the consumer is not present.

Response

OK
requiredany
transactionIdstring>=1 character

A unique transaction identifier generated by Trustly (15 character max).

transactionTypeenum

Type of transaction record. Definitions and descriptions can be found in this table

paymentobject
A Trustly Payment
currencyenum

3-letter ISO Currency Code. Currently only USD is supported.

Allowed values:
amountstring>=1 character

The amount of the transaction. (10 characters with support for 2 decimal places)

pendingstring>=1 character

The total amount that is still pending completion. (10 characters with support for 2 decimal places)

paidstring>=1 character

The total amount that was already paid. (10 characters with support for 2 decimal places)

refundedstring>=1 character

The total amount that was refunded. (10 characters with support for 2 decimal places)

reversedstring>=1 character

The total amount that was reversed. (10 characters with support for 2 decimal places)

balancestring>=1 character

The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)

paymentProviderTransactionobject
Payment Provider Transaction
statusenum

Status code of the Payment Provider Transaction record. Definitions and descriptions can be found in this table

statusMessagestring>=1 character

A descriptive status message. (120 characters)

ipstring>=1 character
The client IP address in IPv4 or IPv6 format.
createdAtinteger
The date and time the transaction was created as a UNIX timestamp.
processedAtinteger
The date and time the transaction was processed as a UNIX timestamp.
completedAtinteger
The date and time the transaction was completed as a UNIX timestamp.
updatedAtinteger
The date and time the transaction was last updated as a UNIX timestamp.
ppTrxIdstring>=1 character
internal use only
merchantReferencestring>=1 character
Merchants internal reference id for the transaction.
expiredAtinteger
The date and time the preauthorization will expire as a UNIX timestamp.
recordVersiondouble
The current record version.
originalTransactionIdstring
feestring
timeZonestring
representmentScheduledAtdouble
paymentProcessorTypestring
statusCodestring
preAuthorizedboolean

Optional interaction ID parameter for Preauthorization and Capture APIs, inclusion of which signifies consumer interaction tied to data obtained from getTrustlyInteraction function. If not specified, Trustly assumes the consumer is present in session. Set to “consumerNotPresent” to signify that the transaction is merchant-initiated and the consumer is not present.